Chat now with support
Chat mit Support

Quick Connect Sync Engine 6.1 - Release Notes

Quick Connect Sync Engine

One Identity Quick Connect Sync Engine

 

Table 1: One Identity Quick Connect Sync Engine

Requirement

Details

Processor

1 GHz or faster, x32 and x64 architecture is supported.

Memory

512 MB of RAM; 1 GB or more recommended.

Hard disk space

250 MB or more of free disk space.

Operating system

You computer must run one of the following operating systems with or without any Service Pack (both x86 and x64 platforms are supported):

  • Microsoft Windows Server 2019
  • Microsoft Windows Server 2016
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2012

Microsoft SQL Server

One of the following versions is required (32- or 64-bit edition, with or without any Service Pack):

  • Microsoft SQL Server 2017
  • Microsoft SQL Server 2016
  • Microsoft SQL Server 2014 (Enterprise, Business Intelligence, Standard, Web, or Express Edition)
  • Microsoft SQL Server 2012 (Enterprise, Business Intelligence, Standard, Web, or Express Edition)

Quick Connect Sync Engine supports failover clustering for the above-listed Microsoft SQL Server versions.

Microsoft .NET Framework

Microsoft .NET Framework 4.8

Quick Connect Capture Agent

To synchronize passwords from an Active Directory domain to some other connected data system, you must install Quick Connect Capture Agent on all domain controllers in the source Active Directory domain.

For more information, see the One Identity Quick Connect Sync Engine Administrator Guide.

ActiveRoles Server ADSI Provider

If you want to synchronize identities between ActiveRoles Server and other connected systems, make sure that the Quick Connect Sync Engine computer has one of the following ActiveRoles Server ADSI Provider versions installed:

  • 7.4
  • 7.3
  • 7.2
  • 7.1
  • 7.0
  • 6.9

One Identity Manager DLLs

To connect to One Identity Manager, Quick Connect Sync Engine requires some Dynamic Link Library (DLL) files supplied with Identity Manager. Before creating a connection to Identity Manager make sure that Quick Connect Sync Engine can access these DLL files.

For more information, see the One Identity Quick Connect Sync Engine Administrator Guide.

Federal Information Processing Standard (FIPS) algorithms

Quick Connect Sync Engine operates with support for Federal Information Processing Standard (FIPS) algorithms if the Windows operating system is configured to use the FIPS algorithms for system cryptography.

Quick Connect Capture Agent

 

Table 2: Quick Connect Capture Agent

Requirement

Details

Microsoft .NET Framework

Microsoft .NET Framework 4.8

Additional Requirements

To synchronize passwords from an Active Directory domain to some other connected data system, you must install the Quick Connect Capture Agent on all domain controllers in the source Active Directory domain.

The domain controllers on which you install Quick Connect Capture Agent must run one of the following operating systems with or without any Service Pack (both x86 and x64 platforms are supported):

  • Microsoft Windows Server 2019
  • Microsoft Windows Server 2016
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2012

For more information, see the One Identity Quick Connect Sync Engine Administrator Guide.

Connector Access Service

 

Table 3: Connector Access Service

Requirement

Details

Microsoft .NET Framework

Microsoft .NET Framework 4.8

Operating System

The computer on which you plan to install Connector Access Service must run one of the following operating systems with or without any Service Pack (both x86 and x64 platforms are supported):

  • Microsoft Windows Server 2019
  • Microsoft Windows Server 2016
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2012

ActiveRoles Server ADSI Provider

Only required if you plan to use the ActiveRoles Server Connector.

Make sure the computer has one of the following ActiveRoles Server ADSI Provider versions installed:

  • 7.4
  • 7.3
  • 7.2
  • 7.1
  • 7.0
  • 6.9

One Identity Manager

DLLs

Only required if you plan to use the One Identity Manager Connector.

Make sure the required Dynamic Link Library (DLL) files are available. For details, see the One Identity Quick Connect Sync Engine Administrator Guide.

Data systems supported by built-in connectors

 

Table 4: Data systems supported by built-in connectors

Requirement

Details

ActiveRoles Server Connector

ActiveRoles Server 7.4, 7.3, 7.2,7.1, 7.0, or 6.9

One Identity Manager Connector

One Identity Manager 8.1, 8.0, or 7.0

Verwandte Dokumente